/* ====================================================================================
  Resets and Defaults
==================================================================================== */
*,
::before,
::after {
  box-sizing: border-box;
}

html,
:host {
  font-feature-settings: normal;
  font-variation-settings: normal;
  line-height: 1.5;
  tab-size: 4;
  -webkit-tap-highlight-color: transparent;
  text-size-adjust: 100%;
}

body {
  min-height: 100vh;
  background: var(--color-background);
  color: var(--color-secondary);
  font-family: var(--font-secondary);
  font-size: var(--font-base-size);
  line-height: var(--font-base-line-height);
  overflow-wrap: break-word;
}

body *::selection {
  background: var(--color-accent);
  color: var(--color-background);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: 0;
}

h1,
h1:not(.theme-section__description) *,
h2,
h2:not(.theme-section__description) *,
h3,
h3:not(.theme-section__description) *,
h4,
h4:not(.theme-section__description) *,
h5,
h5:not(.theme-section__description) *,
h6,
h6:not(.theme-section__description)  *{
  color: var(--color-main);
  font-family: var(--font-main);
  font-weight: 600 !important;
  line-height: 1;
}

@media only screen and (max-width: 575px) {
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-size: var(--title-size-mobile);
  }
}

@media only screen and (min-width: 576px) {
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-size: var(--title-size-desktop);
  }
}

p,
ul,
ol {
  margin-bottom: calc(var(--theme-padding) * 1.5);
}

a {
  text-decoration: none;
  transition: var(--theme-transition-fast);
}

p a:not(.button) {
  color: var(--color-accent);
}

p a:not(.button):hover {
  color: var(--color-accent-hover);
}

hr {
  width: 100%;
  height: 0;
  border-top-width: 1px;
  color: var(--color-border);
  opacity: 1 !important;
}

abbr:where([title]) {
  text-decoration: underline dotted;
}

b,
strong {
  font-weight: bolder;
}

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-feature-settings: normal;
  font-size: 1em;
  font-variation-settings: normal;
}

small {
  font-size: 80%;
}

sub,
sup {
  position: relative;
  font-size: 75%;
  line-height: 0;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

table {
  border-color: inherit;
  border-collapse: collapse;
  text-indent: 0;
}

button,
input,
optgroup,
select,
textarea {
  padding: 0;
  margin: 0;
  color: inherit;
  font-family: inherit;
  font-feature-settings: inherit;
  font-size: 100%;
  font-variation-settings: inherit;
  font-weight: inherit;
  line-height: inherit;
}

a,
.button,
.button:hover,
.button:focus,
.trsn,
form label,
form label:hover {
  transition: all 0.25s ease-in-out !important;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
  border: none;
  appearance: button;
  background-image: none;
}

[type="search"] {
  appearance: textfield;
  outline-offset: -2px;
}

progress {
  vertical-align: baseline;
}

summary {
  display: list-item;
}

fieldset {
  padding: 0;
  margin: 0;
}

legend {
  padding: 0;
}

dialog {
  padding: 0;
}

textarea {
  resize: vertical;
}

input::placeholder,
textarea::placeholder {
  opacity: 0.8;
}

button,
[role="button"] {
  cursor: pointer;
}

:disabled {
  cursor: default !important;
}

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object,
picture {
  display: block;
}

img,
video {
  max-width: 100%;
  height: auto;
}

figure {
  text-align: center;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  margin: 0;
  appearance: none;
}

input[type="number"] {
  appearance: textfield;
}

:-moz-focusring {
  outline: auto;
}

:-moz-ui-invalid {
  box-shadow: none;
}

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

::-webkit-search-decoration {
  appearance: none;
}

::-webkit-file-upload-button {
  appearance: button;
  font: inherit;
}

.sr-only {
  position: absolute;
  overflow: hidden;
  width: 1px;
  height: 1px;
  padding: 0;
  border-width: 0;
  margin: -1px;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
}

.no-bullet {
  list-style: none !important;
  padding: 0 !important;
  margin: 0 !important;
}

/* Formatting Form elements */
form .text,
form .textarea,
form .select {
  font-family: var(--font-secondary);
  font-weight: 400;
  font-size: calc(var(--font-base-size));
  width: 100%;
  min-height: calc(var(--theme-padding) * 3.75);
  border-radius: calc(var(--theme-padding) * 0.25);
  border: 1px solid var(--color-main-op3);
  padding-right: calc(var(--theme-padding) * 1);
  padding-left: calc(var(--theme-padding) * 1);
  outline: none !important;
  box-shadow: none !important;
  background-color: var(--color-foreground) !important;
  transition: var(--theme-transition-fast);
  color: var(--color-main) !important;
}

form label,
form label .select {
  cursor: pointer !important;
}

form label {
  font-family: var(--font-main);
  font-size: calc(var(--font-base-size) * 0.85);
  font-weight: 600;
}

form label .text,
form label .textarea,
form label .select {
  margin-top: calc(var(--theme-padding) * 0.5);
}

form .textarea {
  padding-top: calc(var(--theme-padding) * 1);
  padding-bottom: calc(var(--theme-padding) * 1);
}

form label:hover .text,
form label:hover .textarea,
form label:hover .select,
form .text:focus,
form .textarea:focus,
form .select:focus {
  border-color: var(--color-main-op7);
}

form label .text::placeholder,
form label .textarea::placeholder {
  color: var(--color-main-op7) !important;
  transition: var(--theme-transition-fast);
}

form label .text:focus::placeholder,
form label .textarea:focus::placeholder {
  color: var(--color-main) !important;
}

/* Hover links */
.hover-link {
  position: absolute;
  z-index: 10;
  width: 100%;
  height: 100%;
  inset: 0;
  display: block;
}

/* ====================================================================================
  Bootstrap overrides
==================================================================================== */
/* Custom classes 
==================================================================================== */
@media (min-width: 768px) {
  .col-md-by-5 {
    width: 20%;
  }
}

/* Sidebar 
==================================================================================== */
.sidebar {
  width: 100vw !important;
  max-width: 414px !important;
  border: none !important;
  background: var(--color-background);
}

.sidebar-body {
  padding: calc(var(--theme-padding) * 0.75) var(--theme-padding) calc(var(--theme-padding) * 2) var(--theme-padding);
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: calc(var(--theme-padding) * 1);
}

.sidebar-body__button.button, 
.sidebar-body__button.button > span {
  font-size: calc(var(--font-base-size) * 0.8) !important;
}

.sidebar-body__button.button {
  gap: calc(var(--font-base-size) * 0.5);
  padding: calc(var(--font-base-size) * 0.75) calc(var(--font-base-size) * 1);
}

.sidebar-body__button.button > span {
  display: block !important;
}

.sidebar-body__divider {
  margin: calc(var(--theme-padding) * 0.5) auto;
}

.sidebar-body__title {
  border-top: 1px solid var(--color-border);
  font-family: var(--font-main);
  text-transform: uppercase;
  font-size: calc(var(--font-base-size) * 0.725);
  font-weight: 600;
  color: var(--color-secondary);
  padding-top: calc(var(--theme-padding) * 1.875);
  margin-top: calc(var(--theme-padding) * 1.25);
  margin-bottom: calc(var(--theme-padding) * 0.5);
  line-height: 1;
  opacity: 0.7;
}

/* Sidebar > Header */
.sidebar-header {
  padding: var(--theme-padding);
  justify-content: space-between;
}

.sidebar-header__link {
  width: fit-content;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.sidebar-header__title {
  font-size: calc(var(--font-base-size) * 1.25);
  color: var(--color-main);
}

.sidebar-header__logo {
  width: auto;
  height: var(--logo-mobile-menu-height);
  display: block;
  object-fit: contain;
  object-position: left center;
}

.sidebar-header__close.button {
  font-size: calc(var(--font-base-size) * 1.25) !important;
  color: var(--color-secondary) !important;
  padding: calc(var(--font-base-size) * 0.5) !important;
  background: transparent;
}

/* Sidebar > Menu */
.sidebar-menu {
  margin-bottom: calc(var(--theme-padding) * 1.25);
  padding-top: calc(var(--theme-padding) * 1.25);
  display: flex;
  gap: calc(var(--font-base-size) * 0.75);
  align-items: flex-start;
  justify-content: flex-start;
  border-top: 1px solid var(--color-border);
}

.sidebar-menu__title {
  font-size: calc(var(--font-base-size) * 0.75);
  color: var(--color-main);
}

.sidebar-menu__list {
  margin: 0;
  padding: 0 !important;
  display: flex;
  gap: calc(var(--theme-padding) * 0.75);
  flex-direction: column;
  list-style: none;
}

.sidebar-menu__list > li {
  display: block;
  line-height: 1;
}

.sidebar-menu__list > li > a {
  font-size: calc(var(--font-base-size) * 0.95);
  font-weight: 500;
  color: var(--color-main) !important;
}

.sidebar-menu__list > li > a:is(:hover, :focus),
.sidebar-menu__list > li.current-menu-item > a {
  color: var(--color-accent) !important;
}

/* Sidebar Accordion */
.sidebar-accordion {
  border-top: 1px solid var(--color-border);
  padding-top: calc(var(--theme-padding) * 1);
}

.sidebar-accordion__item, .sidebar-accordion__button {
  border-radius: 0 !important;
  border: none !important;
}

.sidebar-accordion__button {
  padding: calc(var(--font-base-size) * 0.5) 0;
  line-height: 1;
  font-family: var(--font-main);
  font-weight: 600;
  text-transform: uppercase;
  font-size: calc(var(--font-base-size) * 0.85);
  align-items: center;
  justify-content: flex-start;
  color: var(--color-main) !important;
  gap: calc(var(--font-base-size) * 0.25);
  background: transparent !important;
  box-shadow: none !important;
}

.sidebar-accordion__button:hover,
.sidebar-accordion__button[aria-expanded="true"],
.sidebar-accordion__button.active {
  color: var(--color-accent) !important;
}

.sidebar-accordion__button::after {
  display: none !important;
}

.sidebar-accordion__caret {
  transition: transform 0.25s ease-in-out;
  transform: rotate(0deg);
  font-size: 120%;
}

.sidebar-accordion__button[aria-expanded="true"] > .sidebar-accordion__caret {
  transform: rotate(180deg);
}

.sidebar-accordion__body {
  padding: calc(var(--theme-padding) * 0.5) 0 calc(var(--theme-padding) * 0.5) calc(var(--theme-padding));
  border-left: 1px solid var(--color-border);
}

.sidebar-accordion__subitem {
  display: block;
  line-height: 1;
}

.sidebar-accordion__link {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  line-height: 1;
  font-family: var(--font-main);
  font-size: calc(var(--font-base-size) * 0.9);
  font-weight: 500;
  color: var(--color-secondary) !important;
  gap: calc(var(--font-base-size) * 0.25);
  padding: calc(var(--font-base-size) * 0.4) 0;
}

.sidebar-accordion__link:is(:hover, :focus) {
  color: var(--color-accent) !important;
}

.sidebar-accordion__link--last {
  font-size: calc(var(--font-base-size) * 0.8);
}

.sidebar-accordion__link--last > .ph-arrow-right {
  font-size: 90%;
}

/* Sidebar > Social links */
.sidebar .theme-social {
  gap: calc(var(--theme-padding) * 1.25);
}

.sidebar .theme-social__link {
  font-size: calc(var(--font-base-size) * 1.5);
}

/* Theme Modal (Modal)
==================================================================================== */
.theme-modal {
  background: var(--color-black-op3);
}

.theme-modal__content {
  background: var(--color-foreground);
  border: none !important;
  border-radius: calc(var(--theme-padding) * 0.5);
}

/* Theme Modal > Header */
.theme-modal__header {
  padding: calc(var(--theme-padding) * 1.25) calc(var(--theme-padding) * 1.5);
  background: var(--color-background);
  border-color: var(--color-border);
  justify-content: space-between;
}

.theme-modal__title {
  line-height: 1;
  font-size: calc(var(--font-base-size) * 1.5);
  color: var(--color-main);
}

.theme-modal__close.button {
  padding: calc(var(--theme-padding) * 0.25) !important;
  background: transparent !important;
  color: var(--color-main) !important;
  opacity: 0.75;
  font-size: calc(var(--font-base-size) * 1.25) !important;
}

.theme-modal__close.button:hover {
  opacity: 1;
}

/* Theme Modal > Body */
.theme-modal__body {
  padding: calc(var(--theme-padding) * 1.25) calc(var(--theme-padding) * 1.5);
}

.theme-modal__text, 
.theme-modal__text * {
  font-size: calc(var(--font-base-size));
  color: var(--color-secondary);
}

/* ====================================================================================
  Placeholder images
==================================================================================== */
.placeholder-image {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-main-op5);
  background: var(--color-main-op1);
}

.placeholder-image--landscape {
  aspect-ratio: var(--aspect-ratio-landscape);
}

.placeholder-image--portrait {
  aspect-ratio: var(--aspect-ratio-portrait);
}

.placeholder-image--rectangular {
  aspect-ratio: var(--aspect-ratio-rectangular);
}

.placeholder-image--square {
  aspect-ratio: var(--aspect-ratio-square);
}

/* ====================================================================================
  Main container
==================================================================================== */
.main-container {
  min-height: 100vh;
  overflow: hidden;
}

.theme-section,
.theme-section__container,
.theme-section__column {
  padding-right: var(--theme-padding);
  padding-left: var(--theme-padding);
}

.theme-section {
  width: 100%;
  padding-top: var(--theme-section-padding-top);
  padding-bottom: var(--theme-section-padding-bottom);
  position: relative;
}

.theme-section:has(.button-dropdown),
.theme-section:has(.card-block[data-card="dynamic"], .card-block[data-card="boxed"]) {
  z-index: 10 !important;
}

.theme-section--table {
  padding: 0 !important;
}

.theme-section--no-padding {
  padding-right: 0 !important;
  padding-left: 0 !important;
}

.theme-section,
.theme-section__container {
  margin: 0 auto;
}

.theme-section__container {
  position: relative;
  z-index: 2;
}

.theme-section__container--full {
  max-width: 100% !important;
  padding-right: 0 !important;
  padding-left: 0 !important;
}

.theme-section__container--stretch {
  max-width: 100% !important;
}

.theme-section__row {
  margin-right: var(--theme-margin);
  margin-left: var(--theme-margin);
}

.theme-section__row--has-gap {
  row-gap: calc(var(--theme-padding) * 2);
}

.theme-section__text-block {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: calc(var(--theme-padding) * 1.25);
  justify-content: flex-start;
}

.theme-section__text-block > div.dropdown:has(.button) {
  margin-top: var(--theme-padding);
}

/* Theme Section > Subtitle */
.theme-section__subtitle {
  line-height: 1;
  font-family: var(--font-main) !important;
  font-weight: var(--theme-section-subtitle-weight);
  letter-spacing: var(--theme-section-subtitle-spacing);
  text-transform: var(--theme-section-subtitle-uppercase);
  color: var(--color-secondary);
  display: flex;
  width: 100%;
}

/* Theme Section > Title */
.theme-section__title {
  font-weight: var(--theme-section-title-weight);
  letter-spacing: var(--theme-section-title-spacing);
  text-transform: var(--theme-section-title-uppercase);
  color: var(--color-main);
  display: flex;
  width: 100%;
}

/* Theme Section > Description */
.theme-section__description, 
.theme-section__description > * {
  font-family: var(--font-secondary);
  color: var(--color-secondary);
  font-weight: 400 !important;
}

.theme-section__title + .theme-section__description {
  padding-top: calc(var(--theme-padding) * 1);
}

.theme-section__description > *:last-child {
  margin-bottom: 0;
}

.theme-section__description p > a:not(.button) {
  color: var(--color-accent) !important;
  font-family: var(--font-secondary) !important;
}

.theme-section__description p > a:not(.button):hover {
  color: var(--color-accent-hover) !important;
  text-decoration: underline !important;
}

/* Media Queries
==================================================================================== */
@media (max-width: 575px) {
  .main-container {
    padding-top: var(--header-height-sm);
  }

  .theme-section__title--sm {
    font-size: var(--theme-section-title-sm-mobile);
    gap: calc(var(--theme-section-title-sm-mobile) * 0.5);
  }

  .theme-section__title--md {
    font-size: var(--theme-section-title-md-mobile);
    gap: calc(var(--theme-section-title-md-mobile) * 0.5);
  }

  .theme-section__title--lg {
    font-size: var(--theme-section-title-lg-mobile);
    gap: calc(var(--theme-section-title-lg-mobile) * 0.5);
  }

  .theme-section__title--xl {
    font-size: var(--theme-section-title-xl-mobile);
    gap: calc(var(--theme-section-title-xl-mobile) * 0.5);
  }

  .theme-section__subtitle--sm {
    font-size: var(--theme-section-subtitle-sm-mobile);
  }

  .theme-section__subtitle--md {
    font-size: var(--theme-section-subtitle-md-mobile);
  }

  .theme-section__subtitle--lg {
    font-size: var(--theme-section-subtitle-lg-mobile);
  }

  .theme-section__subtitle--xl {
    font-size: var(--theme-section-subtitle-xl-mobile);
  }

  .theme-section__description,
  .theme-section__description > * {
    font-size: calc(var(--font-base-size) * 1);
  }
}

@media (min-width: 576px) {
  .theme-section__title--sm {
    font-size: var(--theme-section-title-sm-desktop);
    gap: calc(var(--theme-section-title-sm-desktop) * 0.5);
  }

  .theme-section__title--md {
    font-size: var(--theme-section-title-md-desktop);
    gap: calc(var(--theme-section-title-md-desktop) * 0.5);
  }

  .theme-section__title--lg {
    font-size: var(--theme-section-title-lg-desktop);
    gap: calc(var(--theme-section-title-lg-desktop) * 0.5);
  }

  .theme-section__title--xl {
    font-size: var(--theme-section-title-xl-desktop);
    gap: calc(var(--theme-section-title-xl-desktop) * 0.5);
  }

  .theme-section__subtitle--sm {
    font-size: var(--theme-section-subtitle-sm-desktop);
  }

  .theme-section__subtitle--md {
    font-size: var(--theme-section-subtitle-md-desktop);
  }

  .theme-section__subtitle--lg {
    font-size: var(--theme-section-subtitle-lg-desktop);
  }

  .theme-section__subtitle--xl {
    font-size: var(--theme-section-subtitle-xl-desktop);
  }

  .theme-section__description,
  .theme-section__description > * {
    font-size: calc(var(--font-base-size) * 1.25);
  }
}

@media (min-width: 576px) and (max-width: 991px) {
  .main-container {
    padding-top: var(--header-height-md);
  }
}

@media (min-width: 992px) {
  .main-container {
    padding-top: var(--header-height-lg);
  }
}

@media (max-width: 1199px) {
  .theme-section__container {
    max-width: 100%;
  }
}

@media (min-width: 1200px) {
  .theme-section__container:not(.theme-section__container--full, .theme-section__container--stretch) {
    max-width: 1320px !important;
  }
}

/* ====================================================================================
  Theme Buttons
==================================================================================== */
.button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  border-width: 1px;
  border-style: solid;
  transition: all 0.25s ease-in-out;
  line-height: 1;
  font-family: var(--font-button);
  font-weight: 500;
}

.button--no-border {
  border: none !important;
}

.button--trsn {
  gap: calc(var(--font-base-size) * 0.5);
}

/* Button Styles */
.button--circular {
  border-radius: 200px;
}

.button--rounded-sm {
  border-radius: var(--theme-radius-sm);
}

.button--rounded-md {
  border-radius: var(--theme-radius-md);
}

.button--rounded-lg {
  border-radius: var(--theme-radius-lg);
}

.button--rounded-xl {
  border-radius: var(--theme-radius-xl);
}

/* Button Sizes */
.button--xs {
  font-size: calc(var(--font-base-size) * 0.75);
  padding: calc(var(--theme-padding) * 0.5) calc(var(--theme-padding) * 1);
  gap: calc(var(--font-base-size) * 0.25);
}

.button--xs:has(.button__icon):hover,
.button--xs:has(.button__icon).show {
  gap: calc(var(--font-base-size) * 0.5);
}

.button--sm {
  font-size: calc(var(--font-base-size) * 1);
  padding: calc(var(--theme-padding) * 0.75) calc(var(--theme-padding) * 1.25);
  gap: calc(var(--font-base-size) * 0.25);
}

.button--sm:has(.button__icon):hover,
.button--sm:has(.button__icon).show {
  gap: calc(var(--font-base-size) * 0.5);
}

.button--md {
  font-size: calc(var(--font-base-size) * 1.125);
  padding: calc(var(--theme-padding) * 0.875) calc(var(--theme-padding) * 1.875);
  gap: calc(var(--font-base-size) * 0.5);
}

.button--md:has(.button__icon):hover,
.button--md:has(.button__icon).show {
  gap: calc(var(--font-base-size) * 0.75);
}

.button--lg {
  font-size: calc(var(--font-base-size) * 1.25);
  padding: calc(var(--theme-padding) * 1) calc(var(--theme-padding) * 2.5);
  gap: calc(var(--font-base-size) * 0.5);
}

.button--lg:has(.button__icon):hover,
.button--lg:has(.button__icon).show {
  gap: calc(var(--font-base-size) * 0.75);
}

/* Button Icon */
.button__icon {
  font-size: 80%;
}

/* Button Main */
.button--main {
  color: var(--color-button-main-text) !important;
  border-color: var(--color-button-main-bg) !important;
  background: var(--color-button-main-bg) !important;
}

.button--main:is(:hover, :focus) {
  color: var(--color-button-main-text-hover) !important;
  border-color: var(--color-button-main-bg-hover) !important;
  background: var(--color-button-main-bg-hover) !important;
}

.button--main.button--outline {
  color: var(--color-button-main-text) !important;
  border-color: var(--color-button-main-text) !important;
  background: transparent !important;
}

.button--main.button--outline:is(:hover, :focus) {
  color: var(--color-button-main-text-hover) !important;
  border-color: var(--color-button-main-bg-hover) !important;
  background: var(--color-button-main-bg-hover) !important;
}

/* Button Secondary */
.button--secondary {
  color: var(--color-button-secondary-text) !important;
  border-color: var(--color-button-secondary-bg) !important;
  background: var(--color-button-secondary-bg) !important;
}

.button--secondary:is(:hover, :focus) {
  color: var(--color-button-secondary-text-hover) !important;
  border-color: var(--color-button-secondary-bg-hover) !important;
  background: var(--color-button-secondary-bg-hover) !important;
}

.button--secondary.button--outline {
  color: var(--color-button-secondary-text) !important;
  border-color: var(--color-button-secondary-text) !important;
  background: transparent !important;
}

.button--secondary.button--outline:is(:hover, :focus) {
  color: var(--color-button-secondary-text-hover) !important;
  border-color: var(--color-button-secondary-bg-hover) !important;
  background: var(--color-button-secondary-bg-hover) !important;
}

/* Button Custom */
.button--custom {
  color: var(--color-button-custom-text) !important;
  border-color: var(--color-button-custom-bg) !important;
  background: var(--color-button-custom-bg) !important;
}

.button--custom:is(:hover, :focus) {
  color: var(--color-button-custom-text-hover) !important;
  border-color: var(--color-button-custom-bg-hover) !important;
  background: var(--color-button-custom-bg-hover) !important;
}

.button--custom.button--outline {
  color: var(--color-button-custom-bg) !important;
  border-color: var(--color-button-custom-bg) !important;
  background: transparent !important;
}

.button--custom.button--outline:is(:hover, :focus) {
  color: var(--color-button-custom-text-hover) !important;
  border-color: var(--color-button-custom-bg-hover) !important;
  background: var(--color-button-custom-bg-hover) !important;
}

/* Button Dropdown */
.button-dropdown {
  border-radius: var(--theme-radius-md) !important;
  border: none !important;
  box-shadow: 0 2px 10px rgba(0, 0, 0, .25);
  padding: calc(var(--theme-padding) * 0.75) 0;
}

.button-dropdown--centered {
  left: 0 !important;
  right: 0 !important;
  width: fit-content;
  margin: 0 auto !important;
}

.button--main + .button-dropdown,
.button--main + .button-dropdown .button-dropdown__link {
  color: var(--color-button-main-text) !important;
  background: var(--color-button-main-bg) !important;
}

.button--main + .button-dropdown .button-dropdown__link:is(:hover, :focus) {
  color: var(--color-button-main-text-hover) !important;
  background: var(--color-button-main-bg-hover) !important;
}

.button--secondary + .button-dropdown,
.button--secondary + .button-dropdown .button-dropdown__link {
  color: var(--color-button-secondary-text) !important;
  background: var(--color-button-secondary-bg) !important;
}

.button--secondary + .button-dropdown .button-dropdown__link:is(:hover, :focus) {
  color: var(--color-button-secondary-text-hover) !important;
  background: var(--color-button-secondary-bg-hover) !important;
}

.button--custom + .button-dropdown,
.button--custom + .button-dropdown .button-dropdown__link {
  color: var(--color-button-custom-text) !important;
  background: var(--color-button-custom-bg) !important;
}

.button--custom + .button-dropdown .button-dropdown__link:is(:hover, :focus) {
  color: var(--color-button-custom-text-hover) !important;
  background: var(--color-button-custom-bg-hover) !important;
}

.button-dropdown__item {
  width: 100%;
  display: block;
}

.button-dropdown__link {
  font-family: var(--font-button);
  display: flex;
  align-items: center;
  justify-content: start;
  line-height: 1;
  padding: calc(var(--font-base-size) * 0.75) calc(var(--font-base-size) * 0.75);
}

.button-dropdown--centered .button-dropdown__link {
  justify-content: center;
}

/* Buttons Media Queries */
@media (min-width: 576px) {
  
}


/* ====================================================================================
  MAIN MENU
==================================================================================== */
.main-menu {
  display: flex;
}

.main-menu__item, 
.main-menu__link {
  display: flex;
  height: 100%;
  align-items: center;
  justify-content: center;
}

.main-menu__item {
  position: relative;
}

.main-menu__link {
  font-family: var(--font-main);
  text-transform: uppercase;
  font-weight: bold;
  font-size: calc(var(--font-base-size) * 0.875);
  color: var(--color-accent) !important;
  line-height: 1;
  border-style: solid;
  border-color: transparent;
  gap: calc(var(--theme-padding) * 0.5);
}

.main-menu__link:is(:hover, :focus),
.main-menu__link--active,
.header .main-menu__item:has(.menu-dropdown):hover > .main-menu__link {
  color: var(--color-accent-hover) !important;
}

/* Menu Dropdown */
.menu-dropdown__item, 
.menu-dropdown__link {
  line-height: 1;
  width: 100%;
}

.menu-dropdown__item {
  display: block;
}

.menu-dropdown__link {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  font-family: var(--font-main);
  font-weight: 600;
  background: transparent !important;
}

/* Menu > On Header */
.header .main-menu {
  height: var(--header-height-lg);
  align-items: center;
  justify-content: flex-end;
  gap: calc(var(--theme-padding) * 2);
}

.header .main-menu__link {
  border-width: 3px 0;
}

.header .main-menu__link:is(:hover, :focus),
.header .main-menu__link--active,
.header .main-menu__item:has(.menu-dropdown):hover > .main-menu__link {
  border-color: transparent transparent var(--color-accent-hover) transparent;
}

.header .main-menu__item:has(.menu-dropdown):hover > .menu-dropdown,
.header .main-menu__item:has(.menu-dropdown) > .main-menu__link:hover + .menu-dropdown {
  display: block;
  opacity: 1;
}

.header .menu-dropdown {
  position: absolute;
  left: 0;
  top: 100%;
  background: var(--color-accent);
  padding: calc(var(--theme-padding) * 1) 0 !important;
  display: none;
  opacity: 0;
  transition: opacity 0.25s ease-in-out, display 0.25s allow-discrete;
  box-shadow: 0 2px 6px var(--color-black-op3);
}

.header .menu-dropdown__link {
  font-size: calc(var(--font-base-size) * 0.875);
  color: var(--color-background) !important;
  padding: calc(var(--theme-padding) * 0.75) calc(var(--theme-padding) * 2);
}

.header .menu-dropdown__link:is(:hover, :focus) {
  color: var(--color-links) !important;
  background: var(--color-background) !important;
}

/* Menu > On Sidebar */
.sidebar .main-menu,
.sidebar .main-menu__item:has(.menu-dropdown) {
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}

.sidebar .main-menu {
  gap: calc(var(--theme-padding) * 1.5);
}

.sidebar .main-menu__item {
  width: 100%;
  justify-content: flex-start;
}

.sidebar .main-menu__link {
  border-width: 0;
}

.sidebar .main-menu__link--active {
  border-width: 0 0 0 2px;
  padding-left: calc(var(--theme-padding) * 0.5);
  border-color: transparent transparent transparent var(--color-accent-hover);
}

.sidebar .menu-dropdown {
  border-left: 1px solid var(--color-border);
  padding-top: calc(var(--theme-padding) * 0.5) !important;
  padding-bottom: calc(var(--theme-padding) * 0.5) !important;
  padding-left: calc(var(--theme-padding) * 1.25) !important;
  margin-top: calc(var(--theme-padding)) !important;
}

.sidebar .menu-dropdown__link {
  padding: calc(var(--theme-padding) * 0.75) 0;
  color: var(--color-links) !important;
  font-size: calc(var(--font-base-size) * 0.875);
}

.sidebar .menu-dropdown__link:is(:hover, :focus) {
  color: var(--color-accent) !important;
}

/* ====================================================================================
  Theme Social
==================================================================================== */
.theme-social {
  width: auto;
  display: flex;
  align-items: center;
  gap: calc(var(--theme-padding) * 2);
  font-size: calc(var(--font-base-size));
}

.theme-social__item {
  display: block;
  line-height: 1;
}

.theme-social__link {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: calc(var(--font-base-size) * 1.25);
  padding: calc(var(--theme-padding) * 0.25);
  transform: scale(1.0);
}

.theme-social__link:hover {
  transform: scale(1.5);
}

.theme-social__link[data-name="Youtube"] {
  color: #FF0034 !important;
}

.theme-social__link[data-name="Youtube"]:hover {
  color: #0E0E0E !important;
}

.theme-social__link[data-name="Instagram"] {
  color: #FE2E8D !important;
}

.theme-social__link[data-name="Instagram"]:hover {
  color: #0D1014 !important;
}

.theme-social__link[data-name="TikTok"] {
  color: #000000 !important;
}

.theme-social__link[data-name="TikTok"]:hover {
  color: #FE2C55 !important;
}



/* ====================================================================================
  Theme Media
==================================================================================== */
.theme-media, 
.theme-media__picture, 
.theme-media__image {
  width: 100%;
  height: 100%;
  display: block;
}

.theme-media, 
.theme-media__overlay {
  position: absolute;
  inset: 0;
}

.theme-media__overlay {
  background: #000000;
  background: -webkit-linear-gradient(90deg, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0.2) 100%);
  background: -moz-linear-gradient(90deg, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0.2) 100%);
  background: linear-gradient(90deg, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0.2) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000", endColorstr="#000000", GradientType=1);
  z-index: 2;
}

.theme-media__overlay--reversed {
  background: -webkit-linear-gradient(90deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.7) 100%);
  background: -moz-linear-gradient(90deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.7) 100%);
  background: linear-gradient(90deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.7) 100%);
}

.theme-media__picture, 
.theme-media__image {
  z-index: 1;
  position: relative;
}

.theme-media__image {
  object-fit: cover;
  object-position: center center;
  background-position: center center;
}

/* ====================================================================================
  Theme Placeholder image
==================================================================================== */
.theme-placeholder-image {
  font-size: calc(var(--font-base-size) * 1.75);
  color: var(--color-main-op7);
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--color-main-op1);
}

.theme-placeholder-image--landscape {
  aspect-ratio: var(--aspect-ratio-landscape);
}

.theme-placeholder-image--portrait {
  aspect-ratio: var(--aspect-ratio-portrait);
}

.theme-placeholder-image--rectangular {
  aspect-ratio: var(--aspect-ratio-rectangular);
}

.theme-placeholder-image--square {
  aspect-ratio: var(--aspect-ratio-square);
}

.theme-placeholder-image--circular {
  border-radius: 1000px;
}

/* ====================================================================================
  Theme Navigation
==================================================================================== */

/* ====================================================================================
  Theme Search
==================================================================================== */
